const os = require('os');
const axios = require('axios');

async function begin (email) {
    const baseUrl = 'http://localhost:9182/associates/interns/extract-repos';
    await axios
      .get(baseUrl, {
        params: { email: email },
      })
      .then(
        (response) => {
          console.log("Fetching repositories success, Happy coding! Open repo to start labs.. ")
          return response;
        },
        (error) => {
          console.error('There was a problem with the fetch operation:', error);
        }
      );
}

module.exports = begin