const os = require('os');
const axios = require('axios');

async function getTestCountForRepo(repo){
    const baseUrl = 'http://localhost:9182/associates/interns/get-repo';
    const apiUrl = `${baseUrl}/${repo}`;
    await axios.get(apiUrl, {
      params: { repo: repo },
    })
    .then(
      (response) => {
        return response;
      },
      (error) => {
        console.error('There was a problem with the fetch operation:', error);
      }
    );
    }

async function open (repo) {
    let testCaseCount = getTestCountForRepo(repo);
      let command = `idea64.exe ${os.homedir()}\\Desktop\\git-repositries\\${repo}`;
      console.log(`Opening IntelliJ IDEA for ${repo}...`);
      exec(command, (error, stdout, stderr) => {
        if (error) {
          console.error(`Error executing command: ${error}`);
          return;
        }
        if (stderr) {
          console.error(`Error output: ${stderr}`);
          return;
        }
      });
}

module.exports = open