#! /usr/bin/env node
const { program } = require('commander')

const begin = require('./commands/begin')
const open = require('./commands/open')
const run = require('./commands/run')

program
    .command('begin <email>')
    .description('To fetch all the repositories to the local system')
    .action(begin)

program
    .command('open <repo>')
    .description('To open particular repository')
    .action(open)

program
    .command('run [repo]')
    .description('Mark commands done')
    .action(run)

program.parse()